## mediainfo 25.09

=== Project/CMake/CLI/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(MediaInfo_CLI VERSION 1.0.0 LANGUAGES CXX)

option(MEDIAINFO_CLI_STATIC "Link MediaInfo CLI statically" ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CLI_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../Source/CLI/CLI_Main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../Source/CLI/CommandLine_Parser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../Source/CLI/Help.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../Source/Common/Core.cpp
)

add_executable(mediainfo_cli ${CLI_SOURCES})

if(MEDIAINFO_CLI_STATIC)
    # Prefer static libraries
    set(CMAKE_FIND_LIBRARY_SUFFIXES .a .lib ${CMAKE_FIND_LIBRARY_SUFFIXES})
    # target_compile_definitions(mediainfo_cli PRIVATE MEDIAINFO_DLL_STATIC)
else()
    target_compile_definitions(mediainfo_cli PRIVATE MEDIAINFO_DLL_RUNTIME)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../Source)



find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)
find_package(mediainfolib REQUIRED)
find_package(ZenLib REQUIRED)

set_target_properties(mediainfo_cli PROPERTIES OUTPUT_NAME mediainfo)

target_compile_definitions(mediainfo_cli PRIVATE UNICODE)

# Link libraries
target_link_libraries(mediainfo_cli
    PRIVATE
    mediainfo
    "${ZenLib_LIBRARY}"
    ZLIB::ZLIB
    Threads::Threads
)

install(TARGETS mediainfo_cli DESTINATION bin)

=== Source/GUI/Android/app/CMakeLists.txt ===
# For more information about using CMake with Android Studio, read the
# documentation: https://d.android.com/studio/projects/add-native-code.html

cmake_minimum_required(VERSION 3.4.1)

project(MediaInfo)

# Build Zenlib
set(ZenLib_DIR ${CMAKE_CURRENT_BINARY_DIR}/ZenLib)
set(ZenLib_LIBRARY zen)

option(LARGE_FILES "Enable large files support" OFF)
add_subdirectory(../../../../../ZenLib/Project/CMake ${ZenLib_DIR})
include_directories(AFTER SYSTEM ../../../../../ZenLib/Source)
file(MAKE_DIRECTORY ${ZenLib_DIR}/../../../include) # fake system wide installation

# Build MediaInfoLib
set(MediaInfoLib_LIBRARY mediainfo)
set(MediaInfoLib_DIR ${CMAKE_CURRENT_BINARY_DIR}/MediaInfoLib)

option(JNI "Build JNI interface" ON)
add_subdirectory(../../../../../MediaInfoLib/Project/CMake ${MediaInfoLib_DIR})
include_directories(AFTER SYSTEM ../../../../../MediaInfoLib/Source)

## mediainfo 0.7.23

=== debian/changelog ===
mediainfo (0.7.23-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <zen@mediaarea.net>  Thu, 01 Jan 2009 00:07:23 +0000

=== debian/control ===
Source: mediainfo
Priority: optional
Maintainer: Jerome Martinez <zen@mediaarea.net>
Build-Depends: debhelper (>= 5), tofrodos, libmediainfo0-dev (>= 0.7.23), libzen0-dev (>= 0.4.7), libwxgtk2.6-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://mediainfo.sourceforge.net

Package: mediainfo
Section: utils
Architecture: any
Depends: libmediainfo0 (>= 0.7.23), libzen0 (>= 0.4.7), zlib1g
Description: MediaInfo supplies information about a video or audio file
 MediaInfo supplies technical and tag information about a video or audio file
 .
 What information can I get from MediaInfo?
 General: title, author, director, album, track number, date, duration...
 Video: codec, aspect, fps, bitrate...
 Audio: codec, sample rate, channels, language, bitrate...
 Text: language of subtitle
 Chapters: number of chapters, list of chapters
 .
 What format (container) does MediaInfo support?
 Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
        MPEG-4, DVD (VOB)...
 (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
 Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
 Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package includes the command line interface

Package: mediainfo-gui
Section: utils
Architecture: any
Depends: libmediainfo0 (>= 0.7.23), libzen0 (>= 0.4.7), libwxgtk2.6-0, zlib1g
Description: MediaInfo supplies information about a video or audio file
 MediaInfo supplies technical and tag information about a video or audio file
 .
 What information can I get from MediaInfo?
 General: title, author, director, album, track number, date, duration...
 Video: codec, aspect, fps, bitrate...
 Audio: codec, sample rate, channels, language, bitrate...
 Text: language of subtitle
 Chapters: number of chapters, list of chapters
 .
 What format (container) does MediaInfo support?
 Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
        MPEG-4, DVD (VOB)...
 (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
 Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
 Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the graphical user interface

## mediainfo 0.7.25

=== debian/changelog ===
mediainfo (0.7.25-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <zen@mediaarea.net>  Thu, 01 Jan 2009 00:07:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: mediainfo
 Priority: optional
 Maintainer: Jerome Martinez <zen@mediaarea.net>
-Build-Depends: debhelper (>= 5), tofrodos, libmediainfo0-dev (>= 0.7.23), libzen0-dev (>= 0.4.7), libwxgtk2.6-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
+Build-Depends: debhelper (>= 5), tofrodos, libmediainfo0-dev (>= 0.7.25), libzen0-dev (>= 0.4.9), libwxgtk2.6-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
 Standards-Version: 3.7.3
 Section: libs
 Homepage: http://mediainfo.sourceforge.net
+Vcs-Svn: https://mediainfo.svn.sourceforge.net/svnroot/mediainfo/MediaInfo/
+Vcs-Browser: http://mediainfo.svn.sourceforge.net/viewvc/mediainfo/MediaInfo/
 
 Package: mediainfo
 Section: utils
 Architecture: any
-Depends: libmediainfo0 (>= 0.7.23), libzen0 (>= 0.4.7), zlib1g
+Depends: libmediainfo0 (>= 0.7.25), libzen0 (>= 0.4.9), zlib1g
 Description: MediaInfo supplies information about a video or audio file
  MediaInfo supplies technical and tag information about a video or audio file
  .
@@ -32,7 +34,7 @@
 Package: mediainfo-gui
 Section: utils
 Architecture: any
-Depends: libmediainfo0 (>= 0.7.23), libzen0 (>= 0.4.7), libwxgtk2.6-0, zlib1g
+Depends: libmediainfo0 (>= 0.7.25), libzen0 (>= 0.4.9), libwxgtk2.6-0, zlib1g
 Description: MediaInfo supplies information about a video or audio file
  MediaInfo supplies technical and tag information about a video or audio file
  .

## mediainfo 0.7.34

=== debian/changelog ===
mediainfo (0.7.34-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <zen@mediaarea.net>  Thu, 01 Jan 2009 00:07:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mediainfo
 Priority: optional
 Maintainer: Jerome Martinez <zen@mediaarea.net>
-Build-Depends: debhelper (>= 5), tofrodos, libmediainfo0-dev (>= 0.7.25), libzen0-dev (>= 0.4.9), libwxgtk2.6-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
+Build-Depends: debhelper (>= 5), tofrodos, libmediainfo0-dev (>= 0.7.34), libzen0-dev (>= 0.4.14), libwxgtk2.6-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
 Standards-Version: 3.7.3
 Section: libs
 Homepage: http://mediainfo.sourceforge.net
@@ -11,7 +11,7 @@
 Package: mediainfo
 Section: utils
 Architecture: any
-Depends: libmediainfo0 (>= 0.7.25), libzen0 (>= 0.4.9), zlib1g
+Depends: libmediainfo0 (>= 0.7.34), libzen0 (>= 0.4.14), zlib1g
 Description: MediaInfo supplies information about a video or audio file
  MediaInfo supplies technical and tag information about a video or audio file
  .
@@ -34,7 +34,7 @@
 Package: mediainfo-gui
 Section: utils
 Architecture: any
-Depends: libmediainfo0 (>= 0.7.25), libzen0 (>= 0.4.9), libwxgtk2.6-0, zlib1g
+Depends: libmediainfo0 (>= 0.7.34), libzen0 (>= 0.4.14), libwxgtk2.6-0, zlib1g
 Description: MediaInfo supplies information about a video or audio file
  MediaInfo supplies technical and tag information about a video or audio file
  .

## mediainfo 0.7.52

=== debian/changelog ===
mediainfo (0.7.52-1) unstable; urgency=low

  * Initial release (Closes: #653894)
    - Packaging based on initial upstream debian/ directory

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 01 Jan 2012 18:14:37 +0800

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS = -Wl,-z,defs -Wl,--as-needed

auto_build_cmd =					\
	cat debian/autoreconf | while read path; do	\
		$(1) -D"$$path";			\
	done

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	$(call auto_build_cmd,dh_auto_configure)

override_dh_auto_build:
	$(call auto_build_cmd,dh_auto_build)

override_dh_auto_install:
	$(call auto_build_cmd,dh_auto_install)

override_dh_auto_clean:
	$(call auto_build_cmd,dh_auto_clean)

override_dh_installchangelogs:
	dh_installchangelogs -p mediainfo History_CLI.txt
	dh_installchangelogs -p mediainfo-gui History_GUI.txt

override_dh_install:
	dh_install --fail-missing

	find debian/mediainfo-gui				\
		-name MediaInfo\*				\
		-exec prename 's/MediaInfo\.(png|svg|xpm)$$/mediainfo.$$1/g' '{}' '+'

	find debian/mediainfo-gui						\
		-name \*.desktop						\
		-exec prename 's/\.kde[34]\.desktop$$/.desktop/' '{}' '+'

	find debian/mediainfo-gui/usr/share -type f -exec chmod 0644 '{}' '+'

override_dh_installdocs:
	dh_installdocs

	prename 's/ReadMe_.*\.txt$$/README/' debian/*/usr/share/doc/*/ReadMe*

%.1: %.pod
	pod2man --center "User Commands" --release=MediaInfo\ 0.7.52 $< > $@

override_dh_installman: debian/mediainfo.1 debian/mediainfo-gui.1
	dh_installman

clean:
	rm -f debian/*.1
	dh clean

%:
	dh $@ --with=autoreconf

## mediainfo 0.7.52-0

=== debian/changelog ===
mediainfo (0.7.52-0) stable; urgency=low

  * mediainfo compiled for maemo


 -- Jerome Martinez <zenitram@users.sourceforge.net>  Sun, 04 Nov 2012 16:52:38 +0000

=== debian/control ===
Source: mediainfo
Section: user/multimedia
Priority: extra
Maintainer: Jerome Martinez <zenitram@users.sourceforge.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mediainfo
XB-Maemo-Display-Name: mediainfo
Architecture: armel
Depends: 
Suggests: 
Description: MediaInfo supplies technical and tag information about video/audio/image files.
XB-Maemo-Upgrade-Description: 
XSBC-Bugtracker: http://sourceforge.net/tracker/?group_id=86862&atid=581181
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3AsDDgAs9Aup4gAAFBpJREFUeNrtm23MZVd133//vc89
 97nPzPhlbAMGO078QmMStUGp00LkNFgkVRughMROS2mJ4paGWkb5UJQUl7ZS26ikUiOcxGpCY4qq
 CqdVkkZOQmqHkkSFhtSpwXgIYKsUxYDBNvbYnnvPy95r9cPZ5855ztyZ8bim4kO3dOeee+ace89/
 vf7XWvsRs3Xo0OpCFG6IIV6H+yWIWC9qDyFYvajyoq5z36dsZtndM5g5cqEcYswBzDxnc8siGCjn
 nHJKycA9xJirWCVJfde15u4ZBVvWtUm4mbm5G05eVFWOMWZERlhUyDHE7CK5W8bJCspBoZfISCmE
 kDFP5p6AbJaTu/qqil0IaqTQHfuTz/qIV1PwR48effMlF1/0zy6+6OiVy8UCdyMEsVgsqKoIQM6J
 lIyUMzkbZtmzmbu5+/gvnt0x3M1xc2cACuXlBiR3Ek5yPAF9Oe7BO1y9452k1t1boRZ5CzSgBmgk
 GqGNpEZSo6CNUINogMbMG8vWOLQSrTtNzrlx9/WxP/lsd0AAl3/TN7312quv+nfnnXeIGENyy77Z
 bEgpgTuOuwQ47uBC7u6Ymzv4eH4QgpkNonB3z4NMyA7muOGYIDsk8ORONrfezZO79+70jne4d+60
 Di14CyoCGF5utgEa5I27NkDj7huHBvfGi7CC1IYQOoXQSurN6J28+cQnjyUBXH3NNZddcdlL77vq
 iste/OhjT6QHHvw0Tx0/Tt8P4BWmspIDLkBiMCVpNCkTmA9XuwsTcg2ad8CQssAAAw2mCwlIiB6n
 B7rxJdGCWkkN0EoqoLURbAQbxKac30hsBgtRo6AmQCOFNgS1VVV1+/v7XV3XCfdkqKsAzjty+KYr
 Lrv0xV957PF094fuRaAYKySkLfYtyKnbePl/L/8vYBSXAQFhoKABvAGSMJxc7lP5Hh+uJQNBg9gl
 MT4FAtcgbAOZNApUWfIMSpKypCSRlJWySCrnU845m9uRw1iM0SVUARw5tP/qEAL3P3DMBWGxWIxA
 T4J1RAeqgYCPUhk1PxgEW0tACoPWXRSrwN0FAeQI4Qy3lBvdBkEoyB3PONmdAZyUHHrce6EeeY/T
 Seq1tRadtB7RCXWS+hBCUogpoGyW83rT2Gq1NBGoXnzppfVyWb/8yaee4vEnvqaqqk4FP+iS8N2G
 PRAGo4vbQGoq1/pJdxA+eoL8pFzAwYQ7PmhydAd3Mnh2SMr0oMQIyOkk78ZjBrdoNMaDEvTkNITQ
 SLQ4LVIXgzqgl3tKeHKPGfos4VWMXgXpPNwuOn78ae/7nhACU+DeF1V/i7H8Dz3Nj1TYxyMkXAuc
 MIWH4z51FQP3rf8PL3fHJLIgG6STfj+A9OG4xdUygGmADfhGaD34v29c2rj7evD9EgMsD8JguNdd
 vcz6EJRsCMhjeLaHH/miV8HtSBXj6viJtZmZhxA00bqqWxKLm4zwCkcXw+q3E/aZTH9XIN0REWhw
 CfygoreAjSHij2nQJCWgd+jdvZsGPWAb6SVv8JMggTVig/vaYY37ppzfUKK/RDNkCx80D72k3oJy
 jGTczdw9FD1VTdetHKqm7Q48vieo39uzvNUGeTwJvgH2oXq1U706q7nE1f3jKmsxeHMBfgr42SvB
 kOrgQMRvKenOnUZi464GJuBhfUAYI3gYUh807ozgO0m9Q8I9y8hmbhaCK5s//vQTDhCWdb1nRuz6
 3rYS6CG83Fj8+AC+/aXAiVcssIdh/b2V9/cIAct3G+Gq4SdG8z4L+AJa/ZDjvfWT783wGkFp7e5r
 d9+U9xH87PwgiPK5cfdRkF223Oeck5sNHMTdHPOnn356C7VSCHvmFvu+d239GHEUtBhO5LsD/qig
 Av5U3t0W8UcN+wIDlwun1XyaHPcM5piK2bcHNX+S4Gjw7c1U88Ba0np6XlLj7huzAbSkTlJnZr27
 Jw3U2CRZSslTSj6n/lWMsc7m6rpk0smEy6PC16B9qN+dKaFc1K58X7D81jAQoogTzw6+pKi5z4/A
 x/fNBPxo4ifK+bWZbSSNQa8pWm8ljQLoR/AhhKSBd1jXtmZ+CnYAgpmvsllIOY0kA2qwz4v+54eM
 UH2Xs393UrwGlr+Ytfj7WeGaIbMX7e8yeytC6M4Cvhn9uIBcT7Q+gj9hZusJ+K3JlzrgFPAhBHN3
 67rOC/idEghuvjJzLNuBC7SA9rbKN++Inj9TnKOCxfc7q1/I4dD/7Kv6H+TofWF1TCjtyeNtoJuY
 fTsBPRXA2t1HDZ+YCmGi+fUMfCupA0az74vmc87Zuq4zd7fTgadQ1ZWXCAH4lt8HXBnrfy76+pUL
 W7+mMnsEut+U2+Ogw7D3r3KMf8VWtvTDxMPnwUUXwvlHQFuzl9Tv8PnR7Lc+bmZtydFLM3uJmV3p
 7tHM6gJgrvlRmF3OuQf6EEIOIWQz877vzwh8GwP6lPYAzMyHECBK+YcuAF3k+MNyu0/4U9C+rUp+
 2BeLjybCJVD9oJE+FsEiIgLLpXPCpLzL7Ju56Y+gQgjb9BZCWJvZxsyudvcXAUvgCPD7McbfnWi+
 N7MeSJJyCCFPgt1ZwQOEul4uc84+yeHunay6JWn/k13c/70+cIE7HUYELbHwkLCvFLdYAXEslipQ
 xczn213BbmL2U38/IemEu58ATsQY/7Cqql+JMf57SXeZ2dv7vr+v7/ubJ5pPo+YL+DEWPacV3K0e
 6eGYyuRgnxXhcggvg71fTlHf4UPV9s0u3pWJ3zoI2D6hQQCKwAKpxp3Tmf3mDODXBfza3ddTn5f0
 tRDCg3Vdv07Sz7r7O9u2fSKl9KaU0n4IIfd9bwW8cw4rhBAWIzfeSq528u/E3N4RHGDxJtehj6cq
 vhztfyTVi39hqIL8UdH/WhwqRFVIC/AFO8x9swt84e8npixvcn4jaWNm04DX1nV9O/D9wL3A+939
 3qZp3jKx4nNaoVos6hH8lgYEmSLevWPRr3805v6/yOwLA9e3/43n3xH8RKB6QwWNoAbSAvoa72u8
 C513dN7ReMemvDf0GjV+INqP2p5kgTHaj8SoLa2xLufcLxaLPw4h3Ah8APgO4H3Ab/A8VhWkUPp1
 UzYXhraGkz4Qu/SB6HqZsf9HaX/zhurE0U/pcAX0K8ERoSOwvP2LCoe/OATRRXct2lqUl26C9+8P
 n+7/bfywFvQzdjeC30wCYzOSHEmdu/dmloZmh/JisTiRUvqxnPOFwBuA1wPPAt8CPPacBSBQiQFW
 mFPYmpJw1RgZ46ng3XtD619VVwWoIngF1MID8EiFrSJ4gL2+IXjakiPJJHd/mmcRJ4qLbEZqO5p9
 aXttzGxsf03B92Okl2Rd15mZOfDXgF8E3gYcAr5chPGh5yQAc0fIJjHAxly4tYiI0ZH7n6kaVVgV
 nQXgQcXloX3nNR42FwntkdN//x/w7NdKXb72oY7cCNaqT4IvrG80+zn4bhd4YAp+9PlbgRcBbyw5
 6beB7wV+/6wxAHfcbaSudrLnNqO3IqvGCPSLId4T8UESNaiuULVEVY1qGtW0odaG2hstaFSzod4W
 MeuJ1rf0Nufcm1k0syM55yM55zABn4Dc9/0c/Bh03wl8ddLD+j3glWe3gKFUzDPwPmls5HlFt5BY
 mJMkRgEQakd7kpZAaA9UdDpZu4/gJ583Qw/fNu5eu/tL3f0qd78a+DbgY8CHl8vlx/q+9x3gx/Uw
 8A7grpPdKD4OfCfwqdPHgFM1nsfO7qy4SSO9XZgNgT8MMYAapBqxBFZIcTPJ8etJ+Tqv6EbwDdDG
 GJ+R9GV3/8OUUnD3i939vwLvatv2YeBG4NgZFPorwE3AmyYd6l8GXlMyzqkuIGkcXuSRUk4AnwLe
 3bslsMSpArAU7AFhCewjrcBjM63jJ+DnFV0zC3itmfVmlmKM67quP1/X9RXArwPXAg8C/7RQ49Ot
 vzdt2wPXAX/3DEzQbWLmYxw40Lubgge6ujxBreHAl4MApP2RG88bGWM5u5lVdJtJObut6DTO+MD6
 vnfgrwN3lmf+J8CvAhedBtOTwPsnjVkHfha46nQWkH0YJE61X4YLGiu6blLUtEucPWARwIsFKC4L
 +H2g2kzp7UTz6x0V3a4uTh5r+Uk5e/Mkqv8A8AfA+Tsw5SKg9SxW/NruLAB5lPpYz080n0pR00+K
 mnbFYPV1GA60EmjpsI84BKo2E/BTdjfm/ZEmTzWfQggpxmgz8NP1xgIM4BXAL42l2Gz9ViFD0/nG
 lSU1niIAmzQypoB3dGwHbr8H7DksA7AnbOmDC7AaemgsxkbGWtKJGbtrNAwrW0ldSimOjYwQwraR
 cZqK7ingX044yk3A3zyNK8yJ0GHgB3daQPHxaUennwjilMbl0gdjr4sAtALCYP5ihVhsJrz+FPA5
 5/22bf9127YP5Jw/kVL6XNd19zVN8z3PoZFxJ/DE5PMHTnPdz+0491rgwlNigJkld9/27sqrnWt+
 ZGsrYIVvXcBXQNxDOgTs475odvTvNpLavu//Ys75WAlslwIvAV4KfDvw4ZLHV2cQwBdLKpwOad+3
 47pPz7KBF7c5Os8Ck379gf7dvHG57eDsAyuHZQRfCVagMMSAgQesDlR0o+b7vn+Lu9+142E1edCb
 Cou74AxC+OkZuDcWOjZfH9sx0f5LcxdIZZjQjxF50m9rxpJ0O4Fx3+wDhwTLIKcIgLBXwB9C2mvm
 0T6l9Gfd/aemLPOGG27QHXfcwW233cYsbX0X8BNnEMA9E/AqFnPDGQQwFcJrdmaB0wW8eQsLWK/w
 wQICnBTAwAM0CKExs2bauTWzv1oCkQDe85736N577+Xyyy/n5ptvZr1ec+GFF04f9G3AxWcQwpcn
 AjtU+gLzdWxmKRRXO+ACad63K2XpAbOftqn3yy/uxRID9kBhr2SBFfjhA42MlNIK+J7pDx85coRb
 brmF17/+9Vx55ZWsVive/OY3Tx/2UuCbzyCAYzPN7uIEj+ywgMsP1ALDnhxvh9G+SmsQK5mh3WkB
 ju+D6nAyBhD2Sm5YAufNa/lY8vB23XrrrdtJ+gc/+EG6ruOee+6ZP+yrgPtOI4Cvzj6fP0nr43p6
 x33nzYuhvmhLhQGqBMbRHeajqvVhoX33wQW2tUAN7CFqpAvG3V29mY2NkQP8PecMwO23386NN97I
 ddddx0MPPXTKrr0zWIBmn8+5H1hmPdsgOH7WONIqAXCq/Y2k9f6UCI20UMuhGlSNdLSftrCKIL9S
 zHq7LrjgAl772tdy/fXXc//998/BCPjMGZ79ktnn4zvI0y63eHrOA/rJVPYUc58XNe5+YlUSXl0s
 YCiG6iKEGnH+2MXpS1Hz1MSUt5pqmoY777yTxx577HTavf8MAvj22fcd33HNZTss5E/nWaAv0foA
 8Em35kDzEliPNV8dSyVYg8ICUTN0SF50YDRdvvueuYZWqxVvf/vbufbaa3eZ8Yd2+Pl0vWRiKc8C
 n9hxzbftEOqn5kGwKyyNSSOkn2SFkdBsY8AKHwQgfGyIoIUPB5Ggi9Okfzd2cf4N8BbgL4wPfvz4
 ca6//nqefPLJqdmPPcmfLr+3a/3lGW9ogI/suO7VO9zqI7MYoK4QFrTd2nZQALMguFkBS3cWY0do
 MQxGhhASkY5uwU8mTqmwsE8CfwZwM9OXvvQlnwW0AHwf8N/OoP13zTT7qyVoz9erdljWHxzkAfh8
 cnNgWDFra20kbZYlpC9CsfjFOBobBIDO9xn4cbXAt5aC5mtFwKNwnim5/XLgd88A/rLC6aff++Nn
 Mf9RUA/OCikqy9YWYJOtbUNcmG1eKBuQrd0rxLtSwVx5EUAsX7HcBX66bi6dnVcBLy4CPlaamGdb
 N8+6QX/rNNe9Y4f/f7gE5KkLeDc2GQoHsIkLbKabGcyskdTWRQBRRQpRBXwov7b3XOZ0jwD/6RzT
 9gXAT04A3QV88CxxYlzPlN7iKV3hbRAsOz5zSY3tZDa3MbMtuxtjfRwtIJSNsuW5pNXzIiXPYf3m
 pFQ+VuqFvOO6HyiDkummzc/vGpRURdsbaQQxCODkdjOa2XaUfjHi1mx79Liv+YWHH0rc+O7y+W7g
 rUWr8xWBH54IyifttJ1zgV7DvryiPWVOVocHenfjXpxqq3gV7TtSQF8n9MB/BH6oHL8b+JnTRH1K
 x+dHZ6nv1mIBOwQQ6BFrSUHCJbKXTvA4kh5L5XE7SjWGO/kggKCvB+gaeBnw0RL0HixC+NxZ7nvf
 LPh9fNIm3zUejybRBCkI+dCSttkfLRzYgpbjAct/QcGfB1xdaO4ryvsvlM0Qf/Qc7v8bxdSn3OPv
 nG4qVARAFjQhKCCZkAnrdXAgcmAvTsjD30hIL7jmTwCfLRniQ6VwaZ/jvS8H3jsx/VCmQg+eeYME
 nqXQKoQQQjDczYKSXL2cvuz3ySO3TymZhpH618Ps87hZ6hzvW5a4cMkkaF4PPHDWctgVPYiuikFV
 Fc1ytmBKJiWhNOwbJ4/gU0quGL5ewe75rp8vGyUoZv+6s1DpqQuYSYs2hhhiDO7uwy4Ms6ygJBvA
 m5mdy/67/4fr7gJ4rPWvnNPds+TX4Ap0VRX6GGIXQ+hDCP3wx4jKw/aW7ZDyGwn8fhmKvK5o/ddL
 A+SJc/mS8JnPPeQxxD7Gqo9VTLGMqEIsAU/a/hHgNxD47yyA/3ZptPxY2RPwvFpihBhSReWLqnI3
 cwMzMzPJQ4zertffSOB/shRSK+BHSrZ45vl+WVWSRgohsKxrtzz8GazF6Dlnf+ap4+cG3v0FJwdl
 nnBlITRXAP9wkvL+r1YF8Mf3f9L+/Cv/XA4hUC0qNzevcL786FfOXfMvHPaqTHGuKUzwYuCnCini
 hfwRhkGALAYRg/hfn//C2YD/c+AfncYC/rPD48/jWZYlsJ1Xmh6HSp/vU6Xn9yz/f73w6/8A0W67
 aGjiSpUAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mediainfo" install
	mkdir -p "$(CURDIR)/debian/mediainfo"

	mkdir -p "$(CURDIR)/debian/mediainfo/opt/mediainfo/"
	cp -a "src/opt/mediainfo/mediainfo" "$(CURDIR)/debian/mediainfo/opt/mediainfo/mediainfo"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mediainfo 0.7.53

=== debian/changelog ===
mediainfo (0.7.53-2) unstable; urgency=low

  * [80f090f] Add --with=autoreconf to clean rule.
    This fixes issues with autotools files left behind after debian/rules clean

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Jan 2012 07:02:56 +0800

mediainfo (0.7.53-1) unstable; urgency=low

  * [1cfec75] Add watchfile
  * [8c31015] Drop gbp.conf.
    Pristine-tar doesn't need to be disabled now that we're using gz
    tarballs. Apparently pristine-gz throws the entire tarball into the branch
    if it can't regenerate it.
  * [c2cbae6] Imported Upstream version 0.7.53
  * [596a055] Drop debian/
  * [7b93157] Enable parallel builds
  * [8e18ec2] Correct path to Resource in mediainfo-gui.install

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 26 Jan 2012 12:04:30 +0800

=== debian/control ===
Source: mediainfo
Priority: optional
Section: utils
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               libmediainfo-dev (>= 0.7.52),
               libzen-dev (>= 0.4.23),
               libwxgtk2.8-dev,
               zlib1g-dev,
               pkg-config,
Standards-Version: 3.9.2
Homepage: http://mediainfo.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediainfo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediainfo.git

Package: mediainfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 MediaInfo supplies technical and tag information about a video or audio file
 .
 This package includes the command line interface.

Package: mediainfo-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the graphical user interface.

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS = -Wl,-z,defs -Wl,--as-needed

auto_build_cmd =					\
	cat debian/autoreconf | while read path; do	\
		$(1) -D"$$path";			\
	done

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	$(call auto_build_cmd,dh_auto_configure)

override_dh_auto_build:
	$(call auto_build_cmd,dh_auto_build)

override_dh_auto_install:
	$(call auto_build_cmd,dh_auto_install)

override_dh_auto_clean:
	$(call auto_build_cmd,dh_auto_clean)

override_dh_installchangelogs:
	dh_installchangelogs -p mediainfo History_CLI.txt
	dh_installchangelogs -p mediainfo-gui History_GUI.txt

override_dh_install:
	dh_install --fail-missing

	find debian/mediainfo-gui				\
		-name MediaInfo\*				\
		-exec prename 's/MediaInfo\.(png|svg|xpm)$$/mediainfo.$$1/g' '{}' '+'

	find debian/mediainfo-gui						\
		-name \*.desktop						\
		-exec prename 's/\.kde[34]\.desktop$$/.desktop/' '{}' '+'

	find debian/mediainfo-gui/usr/share -type f -exec chmod 0644 '{}' '+'

override_dh_installdocs:
	dh_installdocs

	prename 's/ReadMe_.*\.txt$$/README/' debian/*/usr/share/doc/*/ReadMe*

%.1: %.pod
	pod2man --center "User Commands" --release=MediaInfo\ 0.7.52 $< > $@

override_dh_installman: debian/mediainfo.1 debian/mediainfo-gui.1
	dh_installman

clean:
	rm -f debian/*.1
	dh clean --with=autoreconf

%:
	dh $@ --with=autoreconf --parallel

=== debian/watch ===
version=3

http://download.mediaarea.net/source/mediainfo/([0-9.]+)/ mediainfo_([0-9.]+)\.tar\.gz

## mediainfo 0.7.58

=== debian/changelog ===
mediainfo (0.7.58-1) unstable; urgency=low

  * [e07a210] Imported Upstream version 0.7.58

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 15:20:12 +0800

mediainfo (0.7.57-1) unstable; urgency=low

  * [7f970de] Imported Upstream version 0.7.57

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 25 May 2012 09:18:37 +0800

mediainfo (0.7.56-2) unstable; urgency=low

  * [7624c6d] Replace LDFLAGS use with DEB_LDFLAGS_MAINT_APPEND.
    This avoids overriding the hardening build flags from dpkg-buildflags.
    Thanks to Simon Ruderich (Closes: #670758)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Apr 2012 04:20:38 +0800

mediainfo (0.7.56-1) unstable; urgency=low

  * [7f5c284] Update watch url (use sf.net)
  * [08b8716] Imported Upstream version 0.7.54
  * [f5d61bb] Imported Upstream version 0.7.56
  * [9093973] Bump Standards-Version to 3.9.3
    - Update debian/copyright Format URL
  * [bf37e84] Bump debhelper compat level to 9 for buildflags
  * [36422a0] Update copyright date and remove FIXME section

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Apr 2012 21:38:10 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Section: utils
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libmediainfo-dev (>= 0.7.52),
                libzen-dev (>= 0.4.23),
                libwxgtk2.8-dev,
                zlib1g-dev,
                pkg-config,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mediainfo.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediainfo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediainfo.git

=== debian/watch ===
version=3

http://sf.net/mediainfo/mediainfo_(.*)\.tar\.gz

## mediainfo 0.7.59

=== debian/changelog ===
mediainfo (0.7.59-1) experimental; urgency=low

  * [7a959c6] Update build-dep versions
    - Bump libmediainfo-dev version to 0.7.58
    - Bump libzen-dev version to 0.4.25
  * [9d8fd34] Fix typo in manpage (Dislpay -> Display)
    Thanks to Gerben
  * [41ea7ed] Strip debian revision from upstream version
  * [882e544] Imported Upstream version 0.7.59
  * [9a918ca] Bump libmediainfo-dev dependency to 0.7.59

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Aug 2012 20:43:25 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libmediainfo-dev (>= 0.7.52),
-               libzen-dev (>= 0.4.23),
+               libmediainfo-dev (>= 0.7.59),
+               libzen-dev (>= 0.4.25),
                libwxgtk2.8-dev,
                zlib1g-dev,
                pkg-config,

## mediainfo 0.7.60-maemo0

=== debian/changelog ===
mediainfo (0.7.60-maemo0) stable; urgency=low

  * update to more recent version


 -- Jerome Martinez <zenitram@users.sourceforge.net>  Mon, 05 Nov 2012 10:17:45 +0000

## mediainfo 0.7.61-maemo0

=== debian/changelog ===
mediainfo (0.7.61-maemo0) stable; urgency=low

  * update to latest version


 -- Jerome Martinez <zenitram@users.sourceforge.net>  Tue, 11 Dec 2012 21:43:12 +0000

## mediainfo 0.7.62-maemo0

=== debian/changelog ===
mediainfo (0.7.62-maemo0) stable; urgency=low

  * update to latest version


 -- Jerome Martinez <zenitram@users.sourceforge.net>  Sun, 24 Feb 2013 10:36:24 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mediainfo" install
	mkdir -p "$(CURDIR)/debian/mediainfo"

	mkdir -p "$(CURDIR)/debian/mediainfo/opt/mediainfo/"
	cp -a "src/opt/mediainfo/mediainfo" "$(CURDIR)/debian/mediainfo/opt/mediainfo/mediainfo"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mediainfo 0.7.63-maemo0

=== debian/changelog ===
mediainfo (0.7.63-maemo0) stable; urgency=low

  * update to latest version


 -- Jerome Martinez <zenitram@users.sourceforge.net>  Tue, 14 May 2013 20:03:45 +0000

## mediainfo 0.7.64

=== debian/changelog ===
mediainfo (0.7.64-1) unstable; urgency=low

  * [490aeb4] Imported Upstream version 0.7.64
  * [f6356bd] Update copyright

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Jul 2013 01:06:48 +0800

mediainfo (0.7.63-1) unstable; urgency=low

  * [fb15622] Imported Upstream version 0.7.63pe

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 17 May 2013 21:38:53 +0800

mediainfo (0.7.62-1) experimental; urgency=low

  * [7275af9] Imported Upstream version 0.7.62
  * [4b68523] No-change bump of Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Mar 2013 22:45:25 +0800

mediainfo (0.7.61-1) experimental; urgency=low

  * [87a00e0] Imported Upstream version 0.7.61
  * [7e36e66] Bump version in libmediainfo-dev dependency

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 28 Oct 2012 04:31:09 +0800

mediainfo (0.7.60-1) experimental; urgency=low

  * [797d551] Imported Upstream version 0.7.60

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Sep 2012 21:53:46 +0800

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libmediainfo-dev (>= 0.7.59),
+               libmediainfo-dev (>= 0.7.61),
                libzen-dev (>= 0.4.25),
                libwxgtk2.8-dev,
                zlib1g-dev,
                pkg-config,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mediainfo.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediainfo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediainfo.git

## mediainfo 0.7.64-maemo0

=== debian/changelog ===
mediainfo (0.7.64-maemo0) stable; urgency=low

  * update to latest version


 -- Jerome Martinez <zenitram@users.sourceforge.net>  Tue, 14 May 2013 20:03:45 +0000

## mediainfo 0.7.65

=== debian/changelog ===
mediainfo (0.7.65-1) unstable; urgency=low

  * [7efedad] Imported Upstream version 0.7.65

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 01 Dec 2013 23:15:20 +0800

## mediainfo 0.7.67

=== debian/changelog ===
mediainfo (0.7.67-1) unstable; urgency=low

  * [9875916] Imported Upstream version 0.7.67
  * [8df7ba4] No-change bump of Standards-Version to 3.9.5

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 14 Jan 2014 02:04:49 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libwxgtk2.8-dev,
                zlib1g-dev,
                pkg-config,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mediainfo.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediainfo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediainfo.git

=== debian/watch ===
version=3

opts="uversionmangle=s/-.*$//" http://sf.net/mediainfo/mediainfo_(.*)\.tar\.gz

## mediainfo 0.7.69

=== debian/changelog ===
mediainfo (0.7.69-1) unstable; urgency=medium

  * [17045c0] Imported Upstream version 0.7.69

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 05 May 2014 03:26:27 +0800

mediainfo (0.7.68-1) unstable; urgency=medium

  * [fc903ce] Imported Upstream version 0.7.68

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 12 Apr 2014 23:26:49 +0800

mediainfo (0.7.67-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to build with wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Mon, 17 Mar 2014 01:27:40 +1300

## mediainfo 0.7.70

=== debian/changelog ===
mediainfo (0.7.70-1) unstable; urgency=medium

  * [b20412e] Imported Upstream version 0.7.70

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Sep 2014 19:03:32 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-autoreconf,
                libmediainfo-dev (>= 0.7.61),
                libzen-dev (>= 0.4.25),
-               libwxgtk2.8-dev,
+               libwxgtk3.0-dev,
                zlib1g-dev,
                pkg-config,
 Standards-Version: 3.9.5

## mediainfo 0.7.72

=== debian/changelog ===
mediainfo (0.7.72-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 00:07:22 +0000

=== debian/control ===
Source: mediainfo
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 5), tofrodos, libmediainfo-dev (>= 0.7.72), libzen-dev (>= 0.4.30), libwxgtk2.8-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://MediaArea.net/MediaInfo
Vcs-Svn: https://mediainfo.svn.sourceforge.net/svnroot/mediainfo/MediaInfo/
Vcs-Browser: http://mediainfo.svn.sourceforge.net/viewvc/mediainfo/MediaInfo/

Package: mediainfo
Section: utils
Architecture: any
Depends: libmediainfo0 (>= 0.7.72), libzen0 (>= 0.4.30), zlib1g
Description: MediaInfo is a convenient unified display of the most relevant technical
 and tag data for video and audio files.
 .
 The MediaInfo data display includes:
 - Container: format, profile, commercial name of the format, duration,
   overall bit rate, writing application and library, title, author,
   director, album, track number, date, duration...
 - Video: format, codec id, aspect, frame rate, bit rate, color space,
   chroma subsampling, bit depth, scan type, scan order...
 - Audio: format, codec id, sample rate, channels, bit depth, language,
   bit rate...
 - Text: format, codec id, language of subtitle...
 - Chapters: count of chapters, list of chapters...
 .
 MediaInfo analyticals include:
 - Container: MPEG-4, QuickTime, Matroska, AVI, MPEG-PS (including DVD),
   MPEG-TS (including Blu-ray), MXF, GXF, LXF, WMV, FLV, Real...
 - Tags: Id3v1, Id3v2, Vorbis comments, APE tags...
 - Video: MPEG-1/2 Video, H.263, MPEG-4 Visual (including DivX, XviD),
   H.264/AVC, Dirac...
 - Audio: MPEG Audio (including MP3), AC3, DTS, AAC, Dolby E, AES3, FLAC...
 - Subtitles: CEA-608, CEA-708, DTVCC, SCTE-20, SCTE-128, ATSC/53, CDP, 
   DVB Subtitle, Teletext, SRT, SSA, ASS, SAMI...
 .
 This package includes the command line interface

Package: mediainfo-gui
Section: utils
Architecture: any
Depends: libmediainfo0 (>= 0.7.72), libzen0 (>= 0.4.30), libwxgtk2.8-0, zlib1g
Description: MediaInfo is a convenient unified display of the most relevant technical
 and tag data for video and audio files.
 .
 The MediaInfo data display includes:
 - Container: format, profile, commercial name of the format, duration,
   overall bit rate, writing application and library, title, author,
   director, album, track number, date, duration...
 - Video: format, codec id, aspect, frame rate, bit rate, color space,
   chroma subsampling, bit depth, scan type, scan order...
 - Audio: format, codec id, sample rate, channels, bit depth, language,
   bit rate...
 - Text: format, codec id, language of subtitle...
 - Chapters: count of chapters, list of chapters...
 .
 MediaInfo analyticals include:
 - Container: MPEG-4, QuickTime, Matroska, AVI, MPEG-PS (including DVD),
   MPEG-TS (including Blu-ray), MXF, GXF, LXF, WMV, FLV, Real...
 - Tags: Id3v1, Id3v2, Vorbis comments, APE tags...
 - Video: MPEG-1/2 Video, H.263, MPEG-4 Visual (including DivX, XviD),
   H.264/AVC, Dirac...
 - Audio: MPEG Audio (including MP3), AC3, DTS, AAC, Dolby E, AES3, FLAC...
 - Subtitles: CEA-608, CEA-708, DTVCC, SCTE-20, SCTE-128, ATSC/53, CDP, 
   DVB Subtitle, Teletext, SRT, SSA, ASS, SAMI...
 .
 This package contains the graphical user interface

## mediainfo 0.7.73

=== debian/changelog ===
mediainfo (0.7.73-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 00:07:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mediainfo
 Priority: optional
 Maintainer: MediaArea.net SARL <info@mediaarea.net>
-Build-Depends: debhelper (>= 5), tofrodos, libmediainfo-dev (>= 0.7.72), libzen-dev (>= 0.4.30), libwxgtk2.8-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
+Build-Depends: debhelper (>= 5), tofrodos, libmediainfo-dev (>= 0.7.73), libzen-dev (>= 0.4.30), libwxgtk2.8-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
 Standards-Version: 3.7.3
 Section: libs
 Homepage: http://MediaArea.net/MediaInfo
@@ -11,7 +11,7 @@
 Package: mediainfo
 Section: utils
 Architecture: any
-Depends: libmediainfo0 (>= 0.7.72), libzen0 (>= 0.4.30), zlib1g
+Depends: libmediainfo0 (>= 0.7.73), libzen0 (>= 0.4.30), zlib1g
 Description: MediaInfo is a convenient unified display of the most relevant technical
  and tag data for video and audio files.
  .
@@ -41,7 +41,7 @@
 Package: mediainfo-gui
 Section: utils
 Architecture: any
-Depends: libmediainfo0 (>= 0.7.72), libzen0 (>= 0.4.30), libwxgtk2.8-0, zlib1g
+Depends: libmediainfo0 (>= 0.7.73), libzen0 (>= 0.4.30), libwxgtk2.8-0, zlib1g
 Description: MediaInfo is a convenient unified display of the most relevant technical
  and tag data for video and audio files.
  .

## mediainfo 0.7.76

=== debian/changelog ===
mediainfo (0.7.76) unstable; urgency=medium

  * New upstream release

 -- Guillaume Roques <guillaume@mediaarea.net>  Tue, 30 Jun 2015 12:37:49 +0200

=== debian/control ===
Source: mediainfo
Priority: optional
Section: utils
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libmediainfo-dev (>= 0.7.61),
               libzen-dev (>= 0.4.25),
               zlib1g-dev,
               pkg-config,
Standards-Version: 3.9.6
Homepage: http://mediainfo.sourceforge.net
Vcs-Git: https://github.com/MediaArea/MediaInfo.git
Vcs-Browser: https://github.com/MediaArea/MediaInfo

Package: mediainfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 MediaInfo supplies technical and tag information about a video or audio file
 .
 This package includes the command line interface.

Package: mediainfo-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical utility for reading information from audio/video files
 MediaInfo is a utility used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the graphical user interface.

## mediainfo 0.7.78

=== debian/changelog ===
mediainfo (0.7.78-1) unstable; urgency=medium

  * [fe1aafd] Imported Upstream version 0.7.78

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 05 Oct 2015 03:42:44 +0800

mediainfo (0.7.77-1) unstable; urgency=medium

  * [a70e2ed] Imported Upstream version 0.7.77

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 20 Sep 2015 18:57:38 +0800

mediainfo (0.7.76-1) experimental; urgency=medium

  * [f0b8f3d] Install appdata file
  * [dfba336] Imported Upstream version 0.7.76
  * [734ad56] Update copyright years and relicense packaging to BSD-2-clause

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 21 Aug 2015 16:44:33 +0800

mediainfo (0.7.73-1) experimental; urgency=medium

  * [f582c56] Imported Upstream version 0.7.73

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 20 Apr 2015 02:03:23 +0800

mediainfo (0.7.72-1) experimental; urgency=medium

  * [5b41f78] Imported Upstream version 0.7.72

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 15 Jan 2015 12:28:40 +0800

mediainfo (0.7.71-1) experimental; urgency=medium

  * [7134f89] Imported Upstream version 0.7.71
  * [032e00e] No-change bump of Standards-Version to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 24 Nov 2014 11:00:54 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: mediainfo
 Priority: optional
 Section: utils
-Maintainer: MediaArea.net SARL <info@mediaarea.net>
+Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libmediainfo-dev (>= 0.7.61),
                libzen-dev (>= 0.4.25),
+               libwxgtk3.0-dev,
                zlib1g-dev,
                pkg-config,
 Standards-Version: 3.9.6
 Homepage: http://mediainfo.sourceforge.net
-Vcs-Git: https://github.com/MediaArea/MediaInfo.git
-Vcs-Browser: https://github.com/MediaArea/MediaInfo
+Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediainfo.git
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediainfo.git
 
 Package: mediainfo
 Architecture: any

## mediainfo 0.7.81

=== debian/changelog ===
mediainfo (0.7.81-1) unstable; urgency=medium

  * [f8f8404] Imported Upstream version 0.7.81

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Jan 2016 01:35:33 +0800

mediainfo (0.7.80-1) unstable; urgency=medium

  * [fefd3c2] Imported Upstream version 0.7.80
  * [58a2695] Make mediainfo suggest mediainfo-gui.
    Thanks to Christoph Anton Mitterer <calestyo@scientia.net> (Closes: #734520)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 07 Dec 2015 02:28:17 +0800

mediainfo (0.7.79-1) unstable; urgency=medium

  * [73fb5be] Imported Upstream version 0.7.79
  * [2720d8f] Update watch file
  * [dab8392] Update homepage

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Nov 2015 19:07:17 +0800

## mediainfo 0.7.82

=== debian/changelog ===
mediainfo (0.7.82-1) unstable; urgency=medium

  * [9cd500b] Imported Upstream version 0.7.82

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 01 Feb 2016 01:21:44 +0800

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                zlib1g-dev,
                pkg-config,
 Standards-Version: 3.9.6
-Homepage: http://mediainfo.sourceforge.net
+Homepage: https://mediaarea.net/MediaInfo
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediainfo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediainfo.git
 
 Package: mediainfo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: mediainfo-gui
 Description: command-line utility for reading information from audio/video files
  MediaInfo is a utility used for retrieving technical information and other
  metadata about audio or video files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

auto_build_cmd =					\
	cat debian/autoreconf | while read path; do	\
		$(1) -D"$$path";			\
	done

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	$(call auto_build_cmd,dh_auto_configure)

override_dh_auto_build:
	$(call auto_build_cmd,dh_auto_build)

override_dh_auto_install:
	$(call auto_build_cmd,dh_auto_install)

override_dh_auto_clean:
	$(call auto_build_cmd,dh_auto_clean)

override_dh_installchangelogs:
	dh_installchangelogs -p mediainfo History_CLI.txt
	dh_installchangelogs -p mediainfo-gui History_GUI.txt

override_dh_install:
	dh_install --fail-missing

	find debian/mediainfo-gui				\
		-name MediaInfo\*				\
		-exec prename 's/MediaInfo\.(png|svg|xpm)$$/mediainfo.$$1/g' '{}' '+'

	find debian/mediainfo-gui						\
		-name \*.desktop						\
		-exec prename 's/\.kde[34]\.desktop$$/.desktop/' '{}' '+'

	find debian/mediainfo-gui/usr/share -type f -exec chmod 0644 '{}' '+'

override_dh_installdocs:
	dh_installdocs

	prename 's/ReadMe_.*\.txt$$/README/' debian/*/usr/share/doc/*/ReadMe*

%.1: %.pod
	pod2man --center "User Commands" --release=MediaInfo\ 0.7.52 $< > $@

override_dh_installman: debian/mediainfo.1 debian/mediainfo-gui.1
	dh_installman

clean:
	rm -f debian/*.1
	dh clean --with=autoreconf

%:
	dh $@ --with=autoreconf --parallel

## mediainfo 0.7.84

=== debian/changelog ===
mediainfo (0.7.84-1) unstable; urgency=medium

  * [4598ad5] Imported Upstream version 0.7.84
  * [7db205e] Bump Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 09 Apr 2016 21:33:16 +0800

mediainfo (0.7.83-1) unstable; urgency=medium

  * [4b938e8] Imported Upstream version 0.7.83

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Mar 2016 02:23:54 +0800

## mediainfo 0.7.88

=== debian/changelog ===
mediainfo (0.7.88-1) unstable; urgency=medium

  * [9ea5e69] Imported Upstream version 0.7.88

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 01 Sep 2016 23:35:20 +0800

mediainfo (0.7.87-1) unstable; urgency=medium

  * [fe58c72] Imported Upstream version 0.7.87

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Aug 2016 01:10:15 +0800

mediainfo (0.7.85-1) unstable; urgency=medium

  * [55e5772] Imported Upstream version 0.7.85

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Jun 2016 17:25:04 +0800
